<div class="max-w-md mx-auto mt-4 p-6 bg-white rounded-md shadow-md">
  <h2 class="text-xl font-semibold mb-4">Crear Nuevo Cliente</h2>
  <form [formGroup]="RegistroForm">
    <div class="mb-4">
      <label class="block text-sm font-medium text-gray-700">Nombre:</label>
      <input type="text" formControlName="nombreCliente" required [class.is-invalid]="mostrarErrores && RegistroForm.get('nombreCliente')?.invalid && RegistroForm.get('nombreCliente')?.touched" id="nombre" name="nombre" class="mt-1 block w-full rounded-md border-gray-300 shadow-sm focus:border-indigo-300 focus:ring focus:ring-indigo-200 focus:ring-opacity-50" placeholder="Nombre">
    </div>
    <div class="mb-4">
      <label class="block text-sm font-medium text-gray-700">Dirección:</label>
      <input type="text"  formControlName="direccionCliente" required [class.is-invalid]="mostrarErrores && RegistroForm.get('direccionCliente')?.invalid && RegistroForm.get('direccionCliente')?.touched" id="direccion" name="direccion" class="mt-1 block w-full rounded-md border-gray-300 shadow-sm focus:border-indigo-300 focus:ring focus:ring-indigo-200 focus:ring-opacity-50" placeholder="Dirección">
    </div>
    <div class="mb-4">
      <label class="block text-sm font-medium text-gray-700">Teléfono:</label>
      <input type="text" type="text" formControlName="telefonoCliente" required [class.is-invalid]="mostrarErrores && RegistroForm.get('telefonoCliente')?.invalid && RegistroForm.get('telefonoCliente')?.touched" id="telefonoCliente" name="telefonoCliente" class="mt-1 block w-full rounded-md border-gray-300 shadow-sm focus:border-indigo-300 focus:ring focus:ring-indigo-200 focus:ring-opacity-50" placeholder="Teléfono">
    </div>
    <div class="mt-6">
      <button type="submit" (click)="guardar()" class="w-full py-2 px-4 border border-transparent rounded-md shadow-sm text-sm font-medium text-white bg-indigo-600 hover:bg-indigo-700 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500">
        Guardar Cliente
      </button>

    </div>
    <div class="mt-6">
      <button type="submit" (click)="irCrearCuenta()" class="w-full py-2 px-4 border border-transparent rounded-md shadow-sm text-sm font-medium text-white bg-indigo-600 hover:bg-indigo-700 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500">
        Crear Cuenta
      </button>
    </div>
    <div class="mt-6">
      <button type="submit" (click)="irListaCliente()" class="w-full py-2 px-4 border border-transparent rounded-md shadow-sm text-sm font-medium text-white bg-indigo-600 hover:bg-indigo-700 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500">
        Lista de Clientes
      </button>
    </div>
  </form>
</div>
